[listing]

kod.column = 'vsCisloZakazky'
kod.type = 'string'

zakazka_stav.column = 'vnSignature'
zakazka_stav.type = 'int'
zakazka_stav.convert.10 = 1
zakazka_stav.convert.20 = 1
zakazka_stav.convert.30 = 3
zakazka_stav.convert.40 = '@zakazka_typ == 1 ? 4 : 5'

zakazka_typ_smlouvy.column = 'vbExkluzivita'
zakazka_typ_smlouvy.type = 'int'
zakazka_typ_smlouvy.convert.10 = 1
zakazka_typ_smlouvy.convert.20 = 0
zakazka_typ_smlouvy.convert.30 = 0

vsTranslations.column = 'vsTranslations'
vsTranslations.type = 'string'
vsTranslations.value = ''

nemovitost_ku_kod.column = 'vnMistoKU'
nemovitost_ku_kod.type = 'int'

nemovitost_uir_obec_kod.column = 'vnMistoObec'
nemovitost_uir_obec_kod.type = 'int'

nemovitost_uir_okres_kod.column = 'vnMistoOkres'
nemovitost_uir_okres_kod.type = 'int'

nemovitost_typ.column = 'vnDruhNemovitosti0'
nemovitost_typ.type = 'int'
nemovitost_typ.convert.1 = 8
nemovitost_typ.convert.2 = 555 ; zastupna hodnota @see Dalten_Export_RealityCz::_convert()
nemovitost_typ.convert.3 = 333 ; zastupna hodnota @see Dalten_Export_RealityCz::_convert()
nemovitost_typ.convert.4 = 444 ; zastupna hodnota @see Dalten_Export_RealityCz::_convert()
nemovitost_typ.convert.5 = 20
nemovitost_typ.convert.6 = 9
nemovitost_typ.convert.7 = 15
nemovitost_typ.convert.8 = 11
nemovitost_typ.convert.9 = 999 ; zastupna hodnota @see Dalten_Export_RealityCz::_convert()
nemovitost_typ.convert.10 = 12
nemovitost_typ.convert.11 = 13

zakazka_typ.column = 'vnTypKod'
zakazka_typ.type = 'int'
zakazka_typ.value = '@this == 2 ? 2 : 1'

_vnVhodnostKPodnikani.column = 'vnVhodnostKPodnikani'
_vnVhodnostKPodnikani.type = 'int'
_vnVhodnostKPodnikani.value = '@nemovitost_typ'
_vnVhodnostKPodnikani.convert.1 = 2
_vnVhodnostKPodnikani.convert.2 = 1
_vnVhodnostKPodnikani.convert.3 = 2
_vnVhodnostKPodnikani.convert.4 = 3
_vnVhodnostKPodnikani.convert.5 = 2
_vnVhodnostKPodnikani.convert.6 = 2
_vnVhodnostKPodnikani.convert.7 = 2
_vnVhodnostKPodnikani.convert.8 = 2
_vnVhodnostKPodnikani.convert.9 = 1
_vnVhodnostKPodnikani.convert.10 = 2
_vnVhodnostKPodnikani.convert.11 = 2

_vnCharakteristika.column = 'vnCharakteristika'
_vnCharakteristika.type = 'int'
_vnCharakteristika.value = 0

nemovitost_titulek.column = 'vsNazev'
nemovitost_titulek.type = 'string'

nabidka_gps_presnost.column = 'MAPA_PTR'
nabidka_gps_presnost.table = 'vsOptionalParameters'
nabidka_gps_presnost.type = 'int'
nabidka_gps_presnost.value = '@this == 1 ? 1 : 0'

nemovitost_uir_ulice_kod.column = 'Z_MISTO_ULICE'
nemovitost_uir_ulice_kod.table = 'vsOptionalParameters'
nemovitost_uir_ulice_kod.type = 'int'

nemovitost_uir_cobce_kod.column = 'Z_MISTO_CAST_OBCE'
nemovitost_uir_cobce_kod.table = 'vsOptionalParameters'
nemovitost_uir_cobce_kod.type = 'int'

nemovitost_uir_cp.column = 'Z_MISTO_C_P'
nemovitost_uir_cp.table = 'vsOptionalParameters'
nemovitost_uir_cp.type = 'int'

nemovitost_uir_co.column = 'Z_MISTO_C_O'
nemovitost_uir_co.table = 'vsOptionalParameters'
nemovitost_uir_co.type = 'int'

nemovitost_plocha_celkova.column = 'Z_PLOCHA'
nemovitost_plocha_celkova.table = 'vsOptionalParameters'
nemovitost_plocha_celkova.type = 'int'
; pokud není vyplněná celková plocha, posíláme užitnou
nemovitost_plocha_celkova.value = '@nemovitost_plocha_celkova > 0 ? @nemovitost_plocha_celkova : @nemovitost_plocha_uzitna'

_plocha_celkova.column = 'Z_CELKOVA_PLOCHA_N'
_plocha_celkova.table = 'vsOptionalParameters'
_plocha_celkova.type = 'int'
_plocha_celkova.value = '@Z_PLOCHA'

;
; Zbývající logika posílání makléře je v backendu.
;
_makler.column = 'MAKLER_UKAZ'
_makler.table = 'vsOptionalParameters'
_makler.type = 'int'
_makler.value = 0

_druh_nemovitosti.column = 'DRUH_NEMOVITOSTI_1'
_druh_nemovitosti.table = 'vsOptionalParameters'
_druh_nemovitosti.type = 'string'
_druh_nemovitosti.value = 'rawUrlEncode<@vnDruhNemovitosti0>'

nemovitost_podlazi_cislo.column = 'Z_CISLO_PODLAZI'
nemovitost_podlazi_cislo.table = 'vsOptionalParameters'
nemovitost_podlazi_cislo.type = 'int'

nemovitost_pocet_podlazi.column = 'Z_POCET_NP'
nemovitost_pocet_podlazi.table = 'vsOptionalParameters'
nemovitost_pocet_podlazi.type = 'int'
nemovitost_pocet_podlazi.value = '@nemovitost_pocet_podlazi - @nemovitost_pocet_podlazi_pod_zemi'

nabidka_gps_x.column = 'MAPA_X'
nabidka_gps_x.table = 'vsOptionalParameters'
nabidka_gps_x.type = 'string'
nabidka_gps_x.value = 'rawUrlEncode<@this>'

nabidka_gps_y.column = 'MAPA_Y'
nabidka_gps_y.table = 'vsOptionalParameters'
nabidka_gps_y.type = 'string'
nabidka_gps_y.value = 'rawUrlEncode<@this>'

nemovitost_uir_cobce_kod.column = 'Z_MISTO_CAST_OBCE'
nemovitost_uir_cobce_kod.table = 'vsOptionalParameters'
nemovitost_uir_cobce_kod.type = 'int'

nemovitost_uir_ulice_kod.column = 'Z_MISTO_ULICE'
nemovitost_uir_ulice_kod.table = 'vsOptionalParameters'
nemovitost_uir_ulice_kod.type = 'int'

nemovitost_uir_cp.column = 'Z_MISTO_C_P'
nemovitost_uir_cp.table = 'vsOptionalParameters'
nemovitost_uir_cp.type = 'string'
nemovitost_uir_cp.value = 'rawUrlEncode<@this>'

nemovitost_uir_co.column = 'Z_MISTO_C_O'
nemovitost_uir_co.table = 'vsOptionalParameters'
nemovitost_uir_co.type = 'string'
nemovitost_uir_co.value = 'rawUrlEncode<@this>'

nemovitost_cena_prodej.column = 'Z_CENA_PRODEJE'
nemovitost_cena_prodej.table = 'vsOptionalParameters'
nemovitost_cena_prodej.type = 'int'
nemovitost_cena_prodej.unset = '@zakazka_typ == 1 ? @null : @_convertedValue'

nemovitost_cena_pronajem.column = 'Z_CENA_PRONAJMU'
nemovitost_cena_pronajem.table = 'vsOptionalParameters'
nemovitost_cena_pronajem.type = 'int'
nemovitost_cena_pronajem.unset = '@zakazka_typ == 1 ? @_convertedValue : @null'

; zbytek se provadi v exportni knihovne
nemovitost_cena_prodej_jednotka.column = 'Z_CENA_PRODEJE_JEDNOTKA'
nemovitost_cena_prodej_jednotka.table = 'vsOptionalParameters'
nemovitost_cena_prodej_jednotka.type = 'int'
nemovitost_cena_prodej_jednotka.unset = '@zakazka_typ == 1 ? @null : @_convertedValue'

; zbytek se provadi v exportni knihovne
nemovitost_cena_pronajem_jednotka.column = 'Z_CENA_PRONAJMU_JEDNOTKA'
nemovitost_cena_pronajem_jednotka.table = 'vsOptionalParameters'
nemovitost_cena_pronajem_jednotka.type = 'int'
nemovitost_cena_pronajem_jednotka.unset = '@zakazka_typ == 1 ? @_convertedValue : @null'

nemovitost_cena_poznamka.column = 'Z_CENA_POZNAMKA'
nemovitost_cena_poznamka.table = 'vsOptionalParameters'
nemovitost_cena_poznamka.type = 'string'
nemovitost_cena_poznamka.value = 'rawUrlEncode<@this>'

nemovitost_umisteni_objektu.column = 'Z_UMISTENI_V_OBCI'
nemovitost_umisteni_objektu.table = 'vsOptionalParameters'
nemovitost_umisteni_objektu.type = 'string'
nemovitost_umisteni_objektu.unset = '@this == 0 ? @_convertedValue : @null'
nemovitost_umisteni_objektu.convert.1 = "rawUrlEncode<centrum obce>"
nemovitost_umisteni_objektu.convert.2 = "rawUrlEncode<klidná část obce>"
nemovitost_umisteni_objektu.convert.3 = "rawUrlEncode<rušná část obce>"
nemovitost_umisteni_objektu.convert.4 = "rawUrlEncode<okraj obce>"
nemovitost_umisteni_objektu.convert.5 = "rawUrlEncode<sídliště>"
nemovitost_umisteni_objektu.convert.6 = "rawUrlEncode<polosamota>"
nemovitost_umisteni_objektu.convert.7 = "rawUrlEncode<samota>"

nemovitost_druh_objektu.column = 'Z_TYP_BUDOVY'
nemovitost_druh_objektu.table = 'vsOptionalParameters'
nemovitost_druh_objektu.type = 'string'
nemovitost_druh_objektu.unset = '@this == 0 ? @_convertedValue : @null'
nemovitost_druh_objektu.convert.1 = "rawUrlEncode<dřevěná>"
nemovitost_druh_objektu.convert.2 = "rawUrlEncode<cihlová>"
nemovitost_druh_objektu.convert.3 = "rawUrlEncode<kamenná>"
nemovitost_druh_objektu.convert.4 = "rawUrlEncode<montovaná>"
nemovitost_druh_objektu.convert.5 = "rawUrlEncode<panelová>"
nemovitost_druh_objektu.convert.6 = "rawUrlEncode<skeletová>"
nemovitost_druh_objektu.convert.7 = "rawUrlEncode<smíšená>"

nemovitost_stav_objektu.column = 'Z_STAV_OBJEKTU'
nemovitost_stav_objektu.table = 'vsOptionalParameters'
nemovitost_stav_objektu.type = 'string'
nemovitost_stav_objektu.unset = '@this == 0 ? @_convertedValue : @null'
nemovitost_stav_objektu.convert.1 = "rawUrlEncode<velmi dobrý>"
nemovitost_stav_objektu.convert.2 = "rawUrlEncode<dobrý>"
nemovitost_stav_objektu.convert.3 = "rawUrlEncode<špatný>"
nemovitost_stav_objektu.convert.4 = "rawUrlEncode<ve výstavbě (hrubá stavba)>"
nemovitost_stav_objektu.convert.5 = "rawUrlEncode<projekt>"
nemovitost_stav_objektu.convert.6 = "rawUrlEncode<novostavba>"
nemovitost_stav_objektu.convert.7 = "rawUrlEncode<určený k demolici>"
nemovitost_stav_objektu.convert.8 = "rawUrlEncode<před rekonstrukcí>"
nemovitost_stav_objektu.convert.9 = "rawUrlEncode<po rekonstrukci>"

nemovitost_topeni.column = 'Z_TOPENI'
nemovitost_topeni.table = 'vsOptionalParameters'
nemovitost_topeni.type = 'array'
nemovitost_topeni.convert.0 = "rawUrlEncode<Lokální - plynové>"
nemovitost_topeni.convert.1 = "rawUrlEncode<Lokální - tuhá paliva>"
nemovitost_topeni.convert.2 = "rawUrlEncode<Lokální - elektrické>"
nemovitost_topeni.convert.3 = "rawUrlEncode<Ústřední - plynové>"
nemovitost_topeni.convert.4 = "rawUrlEncode<Ústřední - tuhá paliva>"
nemovitost_topeni.convert.5 = "rawUrlEncode<Ústřední - elektrické>"
nemovitost_topeni.convert.6 = "rawUrlEncode<Ústřední - dálkové>"
nemovitost_topeni.convert.7 = "rawUrlEncode<Jiné"

nemovitost_voda.column = 'Z_VODA'
nemovitost_voda.table = 'vsOptionalParameters'
nemovitost_voda.type = 'array'
nemovitost_voda.convert.0 = "rawUrlEncode<Místní zdroj>"
nemovitost_voda.convert.1 = "rawUrlEncode<Dálkový vodovod>"
nemovitost_voda.convert.2 = "rawUrlEncode<Rozvod studené a teplé>"

nemovitost_plyn.column = 'Z_PLYN'
nemovitost_plyn.table = 'vsOptionalParameters'
nemovitost_plyn.type = 'array'
nemovitost_plyn.convert.0 = "rawUrlEncode<Individuální>"
nemovitost_plyn.convert.1 = "rawUrlEncode<Plynovod>"

nemovitost_odpad.column = 'Z_KANALIZACE'
nemovitost_odpad.table = 'vsOptionalParameters'
nemovitost_odpad.type = 'array'
nemovitost_odpad.convert.0 = "rawUrlEncode<Kanalizace>"
nemovitost_odpad.convert.1 = "rawUrlEncode<ČOV pro celý objekt>"

nemovitost_elektrina.column = 'Z_ELEKTROINSTALACE'
nemovitost_elektrina.table = 'vsOptionalParameters'
nemovitost_elektrina.type = 'array'
nemovitost_elektrina.convert.0 = "120 V"
nemovitost_elektrina.convert.1 = "230 V"
nemovitost_elektrina.convert.2 = "380 V"
nemovitost_elektrina.convert.3 = "400 V"

nemovitost_vlastnictvi.column = 'Z_FORMA_VLASTNICTVI'
nemovitost_vlastnictvi.table = 'vsOptionalParameters'
nemovitost_vlastnictvi.type = 'string'
nemovitost_vlastnictvi.convert.1 = 'rawUrlEncode<osobní>'
nemovitost_vlastnictvi.convert.2 = 'rawUrlEncode<družstevní>'
nemovitost_vlastnictvi.convert.3 = 'rawUrlEncode<neuvedeno>'
nemovitost_vlastnictvi.convert.4 = 'rawUrlEncode<obecní>'
nemovitost_vlastnictvi.convert.5 = 'rawUrlEncode<neuvedeno>'
nemovitost_vlastnictvi.convert.6 = 'rawUrlEncode<soukromý majitel>'
nemovitost_vlastnictvi.convert.7 = 'rawUrlEncode<neuvedeno>'

nemovitost_dispozice.column = 'Z_VELIKOST_BYTU'
nemovitost_dispozice.table = 'vsOptionalParameters'
nemovitost_dispozice.unset = '@nemovitost_typ == 4 ? @null : @_convertedValue'
nemovitost_dispozice.type = 'string'
nemovitost_dispozice.convert.1 =  "rawUrlEncode<garsoniéra>"
nemovitost_dispozice.convert.2 =  "1+kk"
nemovitost_dispozice.convert.9 =  "1+1"
nemovitost_dispozice.convert.3 =  "2+kk"
nemovitost_dispozice.convert.10 = "2+1"
nemovitost_dispozice.convert.4 =  "3+kk"
nemovitost_dispozice.convert.11 = "3+1"
nemovitost_dispozice.convert.5 =  "4+kk"
nemovitost_dispozice.convert.12 = "4+1"
nemovitost_dispozice.convert.6 =  "5+kk"
nemovitost_dispozice.convert.13 = "5+1"
nemovitost_dispozice.convert.7 =  "6+kk"
nemovitost_dispozice.convert.14 = "6+1"
nemovitost_dispozice.convert.8 =  "7+kk"
nemovitost_dispozice.convert.15 = "7+1"
nemovitost_dispozice.convert.16 = "rawUrlEncode<atypický>"
nemovitost_dispozice.convert.17 = "rawUrlEncode<jiný>"
nemovitost_dispozice.convert.18 = "rawUrlEncode<jiný>"

nemovitost_parcela_typ.column = 'Z_MISTO_TYP_PARCELY'
nemovitost_parcela_typ.table = 'vsOptionalParameters'
nemovitost_parcela_typ.unset = '@this ? @null : @_convertedValue'
nemovitost_parcela_typ.type = 'string'
nemovitost_parcela_typ.value = 'rawUrlEncode<@this>'

nemovitost_parcela_druh_cislovani.column = 'Z_MISTO_DRUH_CISLOVANI'
nemovitost_parcela_druh_cislovani.table = 'vsOptionalParameters'
nemovitost_parcela_druh_cislovani.unset = '@this ? @null : @_convertedValue'
nemovitost_parcela_druh_cislovani.type = 'string'
nemovitost_parcela_druh_cislovani.value = 'rawUrlEncode<@this>'

nemovitost_parcela_cislo.column = 'Z_MISTO_PARCIS'
nemovitost_parcela_cislo.table = 'vsOptionalParameters'
nemovitost_parcela_cislo.unset = '@this ? @null : @_convertedValue'
nemovitost_parcela_cislo.type = 'string'
nemovitost_parcela_cislo.value = 'rawUrlEncode<@this>'

nemovitost_parcela_subcislo.column = 'Z_MISTO_PARPOD'
nemovitost_parcela_subcislo.table = 'vsOptionalParameters'
nemovitost_parcela_subcislo.unset = '@this ? @null : @_convertedValue'
nemovitost_parcela_subcislo.type = 'string'
nemovitost_parcela_subcislo.value = 'rawUrlEncode<@this>'

; převod v PHP
ruian_adresa_kod.column = 'RUIAN_ADRESA_KOD'
ruian_adresa_kod.table = 'vsOptionalParameters'
ruian_adresa_kod.type = 'int'

ruian_parcela_kod.column = 'RUIAN_PARCELA_KOD'
ruian_parcela_kod.table = 'vsOptionalParameters'
ruian_parcela_kod.type = 'int'

nemovitost_energeticky_stitek.column = 'PENB_TZP'
nemovitost_energeticky_stitek.type = 'string'
nemovitost_energeticky_stitek.convert.1 = 'A'
nemovitost_energeticky_stitek.convert.2 = 'B'
nemovitost_energeticky_stitek.convert.3 = 'C'
nemovitost_energeticky_stitek.convert.4 = 'D'
nemovitost_energeticky_stitek.convert.5 = 'E'
nemovitost_energeticky_stitek.convert.6 = 'F'
nemovitost_energeticky_stitek.convert.7 = 'G'
nemovitost_energeticky_stitek.unset = '@this ? @null : @_convertedValue'

nemovitost_merna_rocni_spotreba.column = 'PENB_CISLO'
nemovitost_merna_rocni_spotreba.type = 'float'
nemovitost_merna_rocni_spotreba.convert.0 = 0

nemovitost_energeticky_stitek_vyhlaska.column = 'PENB_VYHLASKA'
nemovitost_energeticky_stitek_vyhlaska.type = 'int'
nemovitost_energeticky_stitek_vyhlaska.convert.1 = 1
nemovitost_energeticky_stitek_vyhlaska.convert.2 = 2
nemovitost_energeticky_stitek_vyhlaska.convert.3 = 3
